Bug 7 - %a reports a Windows XP client as having a "Win2K" architecture
%a reports a Windows XP client as having a "Win2K" architecture
Status: CLOSED FIXED
Product: Samba 2.2
Classification: Unclassified
Component: Config Files
2.2.8a
All Linux
: P3 normal
: ---
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-27 02:05 UTC by Gerald (Jerry) Carter
Modified: 2007-12-08 10:02 UTC (History)
0 users

See Also:


Attachments
log file of bug (123.39 KB, application/octet-stream)
2003-04-27 02:07 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Gerald (Jerry) Carter 2003-04-27 02:05:32 UTC
>> We use the native lanman string in the SMBsessetup&X request to
>> distingusih between 2k/xp/.net so vmware sessions won't actually
>> affect it.  The level 10 debug log is probably enough.  Many thanks
>> for helping track this down.
>
> I think, this is what you mean:
>
> [2003/04/19 18:52:47, 3] smbd/reply.c:reply_sesssetup_and_X(880)
>   Domain=[TOMMAIK]  NativeOS=[Windows 2002 2600 Service Pack 1]
> NativeLanMan=[Windows 2002 5.1]
>
> But Samba then creates a directory Win2K and not WinXP as profile
> directory.
> After that the recognition is okay as I can see it, if I accessing a
> share and let me send a NETBIOS message with %a.

here is the log from the logon to the pdc with WinXPPro.
Thanks again for your help!
Comment 1 Gerald (Jerry) Carter 2003-04-27 02:07:25 UTC
Created attachment 1 [details]
log file of bug

added log file from Thomas Bork <tombork@web.de>
Comment 2 Gerald (Jerry) Carter 2003-05-09 14:28:44 UTC
fixed.  Miscalculated the offset when retrieving the lanman 
string from the inbuffer.
Comment 3 Gerald (Jerry) Carter 2003-05-20 07:11:53 UTC
verified by original poster
Comment 4 Gerald (Jerry) Carter 2005-11-14 09:26:50 UTC
database cleanup
Comment 5 morphys 2007-12-08 10:02:50 UTC
Created attachment 3032